local ActionParent = require "scenes.battlesystem.controllers.fighters.systems.actions.parent"
local FleeAction = ActionParent:extend()

function FleeAction:new(fighter)
  FleeAction.super.new(self, fighter)
end

function FleeAction:needTarget()
  return false, false
end

function FleeAction:startAction()
  core.debug:print("cbs/action", "Starting flee action")
  self:finishAction()
end

return FleeAction
